# sMToken_binary Struct Reference

`#include <m_token.h>`

## Data Fields

sMToken_base | base
union uMToken * | left
union uMToken * | right

## Detailed Description

Binary node token. Contains pointers to any 2 generic token instances as child node elements. May act as a connector for decoded C++ names.

## Field Documentation

sMToken_base sMToken_binary::base

Base descriptor header.

union uMToken* sMToken_binary::left `[write]`

Left node element.

union uMToken* sMToken_binary::right `[write]`

Right node element.

The documentation for this struct was generated from the following file:

- src/m_token.h